<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>AODataSegmentAdd</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="AODataSegmentAdd"><H1>AODataSegmentAdd</H1></A>
Adds another data segment to a <A HREF="../AO/AOData.html#AOData">AOData</A> database. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscao.h" 
PetscErrorCode PETSCDM_DLLEXPORT AODataSegmentAdd(AOData aodata,const char name[],const char segment[],PetscInt bs,PetscInt n,PetscInt *keys,void *data,PetscDataType dtype)
</PRE>
Collective on <A HREF="../AO/AOData.html#AOData">AOData</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>aodata  </B></TD><TD>- the database
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>name    </B></TD><TD>- the name of the key
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>segment </B></TD><TD>- the name of the data segment
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>bs      </B></TD><TD>- the fundamental blocksize of the data
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>n       </B></TD><TD>- the number of data items contributed by this processor
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>keys    </B></TD><TD>- the keys provided by this processor
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>data    </B></TD><TD>- the actual data
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>dtype   </B></TD><TD>- the data type (one of PETSC_INT, PETSC_DOUBLE, PETSC_SCALAR, etc.)
</TD></TR></TABLE>
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 database additions
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../AO/AODataSegmentAddIS.html#AODataSegmentAddIS">AODataSegmentAddIS</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>deprecated
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/dm/ao/interface/aodata.c.html#AODataSegmentAdd">src/dm/ao/interface/aodata.c</A>
<BR><A HREF="./index.html">Index of all AO routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/dm/ao/examples/tutorials/ex1.c.html">src/dm/ao/examples/tutorials/ex1.c.html</A><BR>
</BODY></HTML>
